DCMTK: FGUSImageDescription Class Reference

DCMTK Version 3.7.0 OFFIS DICOM Toolkit

Loading...
Searching...
No Matches
Public Member Functions | Private Attributes | List of all members
FGUSImageDescription Class Reference

Class representing the US Image Description Functional Group. More...

Inheritance diagram for FGUSImageDescription:

## Public Member Functions
| FGUSImageDescription ()
| Constructor, creates empty functional group.
virtual | ~FGUSImageDescription ()
| Destructor, frees memory.
virtual FGBase * | clone () const
| Returns a deep copy of this object.
virtual void | clearData ()
| Clears all data.
virtual OFCondition | check () const
| Check whether data in this functional group is valid.
virtual OFCondition | read (DcmItem &item)
| Read functional group from item, must contain the US Image Description Sequence.
virtual OFCondition | write (DcmItem &item)
| Write functional group to item, will write to US Image Description Sequence.
virtual DcmFGTypes::E_FGSharedType | getSharedType () const
| Get shared type of this functional group (can be both, shared and per-frame).
virtual OFCondition | getFrameType (OFString &value, const signed long pos=0)
| Get Frame Type.
virtual OFCondition | getVolumetricProperties (OFString &value, const signed long pos=0)
| Get Volumetric Properties.
virtual OFCondition | getVolumeBasedCalculationTechnique (OFString &value, const signed long pos=0)
| Get Volume Based Calculation Technique.
virtual OFCondition | setFrameType (const DcmFGTypes::E_FGUSFrameType pixelDataChar, const OFString &imageFlavor="", const OFString &derivedPixelContrast="", const OFBool checkValue=OFTrue)
| Set Frame Type.
virtual OFCondition | setVolumetricProperties (const OFString &value, const OFBool checkValue=OFTrue)
| Set Volumetric Properties.
virtual OFCondition | setVolumeBasedCalculationTechnique (const OFString &value, const OFBool checkValue=OFTrue)
| Set Volume Based Calculation Technique.
virtual int | compare (const FGBase &rhs) const
| Comparison operator that compares the normalized value of this object with a given object of the same type, i.e. the elements within both functional groups (this and rhs parameter) are compared by value!
Public Member Functions inherited from FGBase
| FGBase (const DcmFGTypes::E_FGType fgType)
| Constructor, creates new functional group of given type.
virtual DcmFGTypes::E_FGType | getType () const
| Return the type of this functional group.
virtual | ~FGBase ()
| Virtual destructor.

## Private Attributes
DcmCodeString | m_FrameType
| Frame Type (CS, VM 4, Required type 1).
DcmCodeString | m_VolumetricProperties
| Volumetric Properties (CS 1, VM 1, Required Type 1).
DcmCodeString | m_VolumeBasedCalculationTechnique
| Volume Based Calculation Technique (CS, VM 1, Required Type 1).

## Additional Inherited Members
Protected Member Functions inherited from FGBase
virtual OFCondition | getItemFromFGSequence (DcmItem &source, const DcmTagKey &seqKey, const unsigned long itemNum, DcmItem *&result)
| Get the item containing the payload of a functional group sequence, identified by the functional group's sequence key provided and the desired item number.
virtual OFCondition | getNumItemsFromFGSequence (DcmItem &source, const DcmTagKey &seqKey, unsigned long &result)
| Get number of items in a functional group sequence, identified by the functional group's sequence key.
virtual OFCondition | createNewFGSequence (DcmItem &destination, const DcmTagKey &seqKey, const unsigned long numItems, DcmItem *&firstItem)
| Create functional group sequence specified by given sequence tag key.

## Detailed Description

Class representing the US Image Description Functional Group.

## Member Function Documentation

## ◆ check()

virtual OFCondition FGUSImageDescription::check | ( |  | ) | const
| virtual

Check whether data in this functional group is valid.

Returns
  EC_Normal if data is valid, error otherwise

Implements FGBase.

## ◆ clone()

virtual FGBase * FGUSImageDescription::clone | ( |  | ) | const
| virtual

Returns a deep copy of this object.

Returns
  Deep copy of this object

Implements FGBase.

References FGBase::FGBase().

## ◆ compare()

virtual int FGUSImageDescription::compare | ( | const FGBase & | rhs | ) | const
| virtual

Comparison operator that compares the normalized value of this object with a given object of the same type, i.e. the elements within both functional groups (this and rhs parameter) are compared by value!

Both objects (this and rhs) need to have the same type (i.e. both FGUnknown) to be comparable. This function is used in order to decide whether a functional group already exists, or is new. This is used in particular to find out whether a given functional group can be shared (i.e. the same information already exists as shared functional group) or is different from the same shared group. In that case the shared functional group must be distributed into per-frame functional groups, instead. The exact implementation for implementing the comparison is not relevant. However, it must be a comparison by value.

Parameters

  rhs | the right hand side of the comparison

Returns
  0 if the object values are equal. -1 if either the value of the first component that does not match is lower in the this object, or all compared components match but this component is shorter. Also returned if this type and rhs type (DcmFGTypes::E_FGType) do not match. 1 if either the value of the first component that does not match is greater in this object, or all compared components match but this component is longer.

Implements FGBase.

References FGBase::FGBase().

## ◆ getFrameType()

virtual OFCondition FGUSImageDescription::getFrameType | ( | OFString & | value,
|  | const signed long | pos = 0 )
| virtual

Get Frame Type.

Parameters

  value | Reference to variable in which the value should be stored
  pos | Index of the value to get (0..vm-1), -1 for all components

Returns
  EC_Normal if successful, an error code otherwise

## ◆ getSharedType()

virtual DcmFGTypes::E_FGSharedType FGUSImageDescription::getSharedType | ( |  | ) | const
| inlinevirtual

Get shared type of this functional group (can be both, shared and per-frame).

Returns
  Always returns DcmFGTypes::EFGS_BOTH

Implements FGBase.

References DcmFGTypes::EFGS_BOTH.

## ◆ getVolumeBasedCalculationTechnique()

virtual OFCondition FGUSImageDescription::getVolumeBasedCalculationTechnique | ( | OFString & | value,
|  | const signed long | pos = 0 )
| virtual

Get Volume Based Calculation Technique.

Parameters

  value | Reference to variable in which the value should be stored
  pos | Index of the value to get (0..vm-1), -1 for all components

Returns
  EC_Normal if successful, an error code otherwise

## ◆ getVolumetricProperties()

virtual OFCondition FGUSImageDescription::getVolumetricProperties | ( | OFString & | value,
|  | const signed long | pos = 0 )
| virtual

Get Volumetric Properties.

Parameters

  value | Reference to variable in which the value should be stored
  pos | Index of the value to get (0..vm-1), -1 for all components

Returns
  EC_Normal if successful, an error code otherwise

## ◆ read()

virtual OFCondition FGUSImageDescription::read | ( | DcmItem & | item | ) |
| virtual

Read functional group from item, must contain the US Image Description Sequence.

Parameters

  item | The item to read from

Returns
  EC_Normal if reading was successful, error otherwise

Implements FGBase.

## ◆ setFrameType()

virtual OFCondition FGUSImageDescription::setFrameType | ( | const DcmFGTypes::E_FGUSFrameType | pixelDataChar,
|  | const OFString & | imageFlavor = "",
|  | const OFString & | derivedPixelContrast = "",
|  | const OFBool | checkValue = OFTrue )
| virtual

Set Frame Type.

Frame Type contains up to four values. Value 3 and 4 are optional and can be left empty if desired. The values in their order of occurrence are: 1) Pixel Data Characteristics: Either ORIGINAL or DERIVED 2) Patient Examination Characteristics: Fixed to "PRIMARY", thus cannot be influenced through this function. 3) Image Flavor: Defined Terms listed in the standard 4) Derived Pixel Contrast: Defined Terms listed in the standard

Parameters

  pixelDataChar | Value 1 of Frame Type
  imageFlavor | Value 3 of Frame Type
  derivedPixelContrast | Value 4 of Frame Type
  checkValue | If OFTrue, the value is checked for conformance.

Returns
  EC_Normal if setting was successful, error otherwise.

## ◆ setVolumeBasedCalculationTechnique()

virtual OFCondition FGUSImageDescription::setVolumeBasedCalculationTechnique | ( | const OFString & | value,
|  | const OFBool | checkValue = OFTrue )
| virtual

Set Volume Based Calculation Technique.

Parameters

  value | Value to be set (single value only) or "" for no value
  checkValue | Check 'value' for conformance with VR (CS) and VM (1) if enabled

Returns
  EC_Normal if successful, an error code otherwise

## ◆ setVolumetricProperties()

virtual OFCondition FGUSImageDescription::setVolumetricProperties | ( | const OFString & | value,
|  | const OFBool | checkValue = OFTrue )
| virtual

Set Volumetric Properties.

Parameters

  value | The value to set. Permitted values: "VOLUME", "SAMPLED", "DISTORTED", "MIXED"
  checkValue | If OFTrue, the value is checked for conformance

Returns
  EC_Normal if setting was successful, error otherwise.

## ◆ write()

virtual OFCondition FGUSImageDescription::write | ( | DcmItem & | item | ) |
| virtual

Write functional group to item, will write to US Image Description Sequence.

Parameters

  item | The item to write to

Returns
  EC_Normal if writing was successful, error otherwise

Implements FGBase.

The documentation for this class was generated from the following file:

- dcmfg/include/dcmtk/dcmfg/fgusimagedescription.h

Generated on for DCMTK Version 3.7.0 by Doxygen 1.16.1